Change password warning contains escaped html

Bug #1203082 reported by Ruslan Kabalin on 2013-07-19
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Low
Robert Lyon
1.6
Low
Unassigned
1.7
Low
Unassigned
1.8
Low
Unassigned

Bug Description

As per attached screenshot. There seems html in the language definition that is then escaped at output.

Ruslan Kabalin (rkabalin) wrote :
Changed in mahara:
status: New → Confirmed
importance: Undecided → Low
tags: added: bite-sized
Robert Lyon (robertl-9) wrote :
Changed in mahara:
status: Confirmed → In Progress
milestone: none → 1.9.0
assignee: nobody → Robert Lyon (robertl-9)

Reviewed: https://reviews.mahara.org/2738
Committed: http://gitorious.org/mahara/mahara/commit/23b55f1bf6692452c8e4c06b4bf56190e39b242a
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 23b55f1bf6692452c8e4c06b4bf56190e39b242a
Author: Robert Lyon <email address hidden>
Date: Fri Nov 22 09:04:48 2013 +1300

Allowing form error string to be unescaped (bug #1203082)

As the string is hardcoded in lang file and does NOT take any variables
it is ok to pass into form error as unescaped.

Change-Id: Ibc0b9d7ed872abb7c4ba77d3d2bb5abcde110abc
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2013-12-23
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2845
Committed: http://gitorious.org/mahara/mahara/commit/2e79d2f56d7c76c7c0abe7418139a60ad1504bb2
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.8_STABLE

commit 2e79d2f56d7c76c7c0abe7418139a60ad1504bb2
Author: Robert Lyon <email address hidden>
Date: Fri Nov 22 09:04:48 2013 +1300

Allowing form error string to be unescaped (bug #1203082)

As the string is hardcoded in lang file and does NOT take any variables
it is ok to pass into form error as unescaped.

Change-Id: Ibc0b9d7ed872abb7c4ba77d3d2bb5abcde110abc
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2844
Committed: http://gitorious.org/mahara/mahara/commit/8140f07521d86838b43c159ca13e43556e892d74
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.7_STABLE

commit 8140f07521d86838b43c159ca13e43556e892d74
Author: Robert Lyon <email address hidden>
Date: Fri Nov 22 09:04:48 2013 +1300

Allowing form error string to be unescaped (bug #1203082)

As the string is hardcoded in lang file and does NOT take any variables
it is ok to pass into form error as unescaped.

Change-Id: Ibc0b9d7ed872abb7c4ba77d3d2bb5abcde110abc
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2843
Committed: http://gitorious.org/mahara/mahara/commit/9fabf08d04c3085278591144b3fbcf61d4800e98
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.6_STABLE

commit 9fabf08d04c3085278591144b3fbcf61d4800e98
Author: Robert Lyon <email address hidden>
Date: Fri Nov 22 09:04:48 2013 +1300

Allowing form error string to be unescaped (bug #1203082)

As the string is hardcoded in lang file and does NOT take any variables
it is ok to pass into form error as unescaped.

Change-Id: Ibc0b9d7ed872abb7c4ba77d3d2bb5abcde110abc
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers